#pragma once

#include <LibQtGeoViewerCore/GeomFileFormat.h>


class SceneMain;


namespace geom
{

class GeomObject;

}


class GeomFileReader
{
public:
	virtual bool Load(SceneMain& scene, const std::string& filename);
	virtual geom::GeomObject* LoadGeom(SceneMain& scene, const std::string& filename) = 0;
};
